## doc-linux-ko 20010417

=== sgml/Makefile ===
MAINTAINER = nobreak@kr.FreeBSD.org
REVISION = 3.4
DOCNAME = PoweredByDNS

CATALOG	= -c /usr/doc/share/sgml/catalog \
	-c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
	-c /usr/local/share/sgml/docbook/catalog \
	-c /usr/local/share/sgml/jade/catalog
DSSSL	= -d ./docbook.dsl
SRC	= book.sgml
CHUNK	= ${DOCNAME}-${REVISION}.html
TARGET	= ../html

all: clean sgml divided single tidyadjust

divided:
	jade -V html-manifest -ioutput.html -t sgml ${CATALOG} ${DSSSL} ${SRC}
	tidy -i -m -q -raw -f /dev/null `xargs < HTML.manifest` &
	@sleep 2
	rm -f HTML.manifest
	mv *.html ${TARGET}

single:
	jade -V nochunks -ioutput.html -t sgml ${CATALOG} ${DSSSL} ${SRC} > ${CHUNK}
	tidy -i -m -raw -f /dev/null ${CHUNK} &
	@sleep 2
	mv ${CHUNK} ${TARGET}

sgml:
	tar cvf ${DOCNAME}-${REVISION}.tar ./*
	gzip ${DOCNAME}-${REVISION}.tar
	mv ${DOCNAME}-${REVISION}.tar.gz ${TARGET}

tidyadjust:
	./tidyfix.sh

clean:
	rm -f *.html HTML.manifest
	rm -f ${TARGET}/*.html
	rm -f ${TARGET}/*.tar.gz
	rm -f ${TARGET}/*.txt
	rm -f ${TARGET}/*.pdf

## doc-linux-ko 98.02-1

=== debian/changelog ===
doc-linux-ko (98.02-1) unstable; urgency=low

  * Added mini HOWTOs Jaz-Drive, PATH, Swap-Space.
  * Added Glibc2-HOWTO.
  * Updated META-FAQ.
  * Non-maintainer release.

 -- Chu-yeon Park <kokids@doit.ajou.ac.kr>  Sun, 22 Feb 1998 03:43:18 +0900

doc-linux-ko (98.01-3) unstable; urgency=low

  * Fixed bugs. :-)

 -- Chu-yeon Park <kokids@doit.ajou.ac.kr>  Sat, 21 Feb 1998 05:51:35 +0900

doc-linux-ko (98.01-2) unstable; urgency=low

  * Non-maintainer release. Origial maintainer is unofficial maintainer
    but he is Debian-KR Project, Localized Debian Distribution.
    I released instead.

 -- Chu-yeon Park <kokids@doit.ajou.ac.kr>  Fri, 20 Feb 1998 23:24:11 +0900

doc-linux-ko (98.01-1) unstable; urgency=low

  * Initial release.

 -- Seo KiHyeon <from104@nuri.net>  Fri,  2 Jan 1998 02:23:53 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "from104@nuri.net"  
End:

=== debian/control ===
Source: doc-linux-ko
Section: doc
Priority: optional
Maintainer: Seo Kihyeon <from104@nuri.net>
Standards-Version: 2.3.0.0

Package: doc-linux-ko
Architecture: all
Description: Linux HOWTOs in Korean language
 This package installs the Korean versions of the current Linux
 HOWTOs and mini-HOWTOs on your Debian system. The version number 
 reflects the month in which doc-linux-ko was created.
 .
 Can you see Korean Linux HOWTOs in `http://kldp.linux-kr.org'.

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

# The name of the package
L = ko
P = doc-linux-$(L)

R = debian/tmp

# Builds the binary package.
build:
	$(checkdir)
	touch build

# Clean $(DIRECTORIES)
clean-dir:
	$(checkdir)
	rm -rf $(R)

# Undoes the effect of `make -f rules build'.
clean: clean-dir
	$(checkdir)
	rm -f debian/files* core debian/*~ HOWTO/*~ 
	rm -f HOWTO/mini/*~ build

# Makes a binary package.
binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	rm -rf $(R)

	install -d -g root -o root -m 755 $(R)/usr/doc/LANG/$(L)/HOWTO
	install -d -g root -o root -m 755 $(R)/usr/doc/$(P)

	cp -a HOWTO/* $(R)/usr/doc/LANG/$(L)/HOWTO
	cp README $(R)/usr/doc/$(P)
	
	debstd -m -c
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-linux-ko 1999.04-2

=== debian/changelog ===
doc-linux-ko (1:1999.04-2) unstable; urgency=low

  * Non-maintainer release.
  * Original maintainer is a member of Debian-KR project.

 -- Chu-yeon Park <kokids@debian.org>  Fri, 11 Jun 1999 20:38:56 +0900

doc-linux-ko (1:1999.04-1) unstable-kr; urgency=low

  * Added many documents.
  * Updated many documents. :-)

 -- Seo KiHyeon <from104@hui.sarang.net>  Thu, 29 Apr 1999 05:46:40 +0900

doc-linux-ko (98.11-1) unstable; urgency=low

  * Added many docments.
  * Updated many docments. :-)

 -- Seo KiHyeon <from104@sarang.net>  Tue,  3 Nov 1998 03:58:24 +0900

=== debian/control ===
Source: doc-linux-ko
Section: doc
Priority: optional
Maintainer: Chu-yeon Park <kokids@debian.org>
Standards-Version: 2.4.0.0

Package: doc-linux-ko
Architecture: all
Description: Linux HOWTOs in Korean language
 This package installs the Korean versions of the current Linux
 HOWTOs and mini-HOWTOs on your Debian system. The version number 
 reflects the month in which doc-linux-ko was created.
 .
 If you want more relative documents, You can find them in this
 location. http://kldp.org.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Undoes the effect of `make -f rules build'.
 clean: clean-dir
 	$(checkdir)
-	rm -f debian/files* core debian/*~ HOWTO/*~ 
+	rm -f debian/files* debian/substvars core debian/*~ HOWTO/*~ 
 	rm -f HOWTO/mini/*~ build
 
 # Makes a binary package.

## doc-linux-ko 1999.04-3

=== debian/changelog ===
doc-linux-ko (1:1999.04-3) stable; urgency=medium

  * Moved /usr/doc/ to /usr/share/doc (Closes: #91430)
  * Added Sections: and Priority: fields.

 -- Chu-yeon Park <kokids@debian.org>  Mon,  2 Apr 2001 09:45:34 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Chu-yeon Park <kokids@debian.org>
-Standards-Version: 2.4.0.0
+Build-Depends: debmake, debsums
+Standards-Version: 3.5.2.0
 
 Package: doc-linux-ko
+Section: doc
+Priority: optional
 Architecture: all
 Description: Linux HOWTOs in Korean language
  This package installs the Korean versions of the current Linux

=== debian/rules ===
--- 
+++ 
@@ -33,11 +33,11 @@
 	$(checkdir)
 	rm -rf $(R)
 
-	install -d -g root -o root -m 755 $(R)/usr/doc/LANG/$(L)/HOWTO
-	install -d -g root -o root -m 755 $(R)/usr/doc/$(P)
+	install -d -g root -o root -m 755 $(R)/usr/share/doc/LANG/$(L)/HOWTO
+	install -d -g root -o root -m 755 $(R)/usr/share/doc/$(P)
 
-	cp -a HOWTO/* $(R)/usr/doc/LANG/$(L)/HOWTO
-	cp README $(R)/usr/doc/$(P)
+	cp -a HOWTO/* $(R)/usr/share/doc/LANG/$(L)/HOWTO
+	cp README $(R)/usr/share/doc/$(P)
 	
 	debstd -m -c
 	dpkg-gencontrol
